# $Revision: 1.79 $, $Date: 2012/02/10 19:43:58 $
# TODO: enable cairo support?
#
# Conditional build:
%bcond_without	opengl	# without OpenGL libraries
%bcond_without	xft	# without Xft support
#
Summary:	Fast Light Tool Kit
Summary(pl.UTF-8):	FLTK - "lekki" X11 toolkit
Summary(pt_BR.UTF-8):	Interface gráfica em C++ para X, OpenGL e Windows
Name:		fltk
Version:	1.3.0
Release:	2
License:	LGPL with amendments (see COPYING)
Group:		X11/Libraries
Source0:	http://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.gz
# Source0-md5:	44d5d7ba06afdd36ea17da6b4b703ca3
Source1:	http://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-docs-html.tar.gz
# Source1-md5:	ee79155cffc211e1d70a3ad8d3f170ef
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-1.3.0-as-needed.patch
Patch2:		%{name}-link.patch
URL:		http://www.fltk.org/
%{?with_opengl:BuildRequires:	OpenGL-GLU-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	groff
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.315
BuildRequires:	xorg-lib-libXext-devel
%{?with_xft:BuildRequires:	xorg-lib-libXft-devel}
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-util-makedepend
Obsoletes:	libfltk1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

# don't propagate strip-flags to fltk-config.
%define		filterout_ld	(-Wl,)?-[sS] (-Wl,)?--strip.*

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r), and
Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally developed
by Mr. Bill Spitzak and is currently maintained by a small group of
developers across the world with a central repository in the US.

%description -l pl.UTF-8
Fast Light Tool Kit ("FLTK", wymawiane "fultik"), jest rozprowadzanym
na licencji LGPL narzędziem do tworzenia graficznych interfejsów
użytkownika w C++ dla X (UNIX(r)), OpenGL(r), i Microsoft(r)
Windows(r) NT 4.0, 95, oraz 98. Jego pierwotnym autorem jest pan Bill
Spitzak; obecnie pakiet jest rozwijany przez niewielką grupę
deweloperów z różnych stron świata (centralne repozytorium znajduje
się w USA).

%description -l pt_BR.UTF-8
A Fast Light Tool Kit ("FLTK", pronuncia-se "fulltick") é uma
ferramenta e interface gráfica feita em C++ para desenvolver
aplicativos para o X, OpenGL e Windows.

%package devel
Summary:	FLTK development files
Summary(pl.UTF-8):	Narzędzia programistyczne dla FLTK
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o FLTK
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libstdc++-devel
%{?with_xft:Requires:	xorg-lib-libXft-devel}
Requires:	xorg-lib-libXinerama-devel
Obsoletes:	libfltk1.1-devel

%description devel
FLTK development files.

%description devel -l pl.UTF-8
Narzędzia programistyczne dla FLTK.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão para o FLTK.

%package static
Summary:	FLTK static library
Summary(pl.UTF-8):	Biblioteka FLTK konsolidowana statycznie
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para o FLTK
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FLTK static library.

%description static -l pl.UTF-8
Biblioteka FLTK konsolidowana statycznie.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para o FLTK.

%package gl
Summary:	FLTK GL library
Summary(pl.UTF-8):	Biblioteka FLTK GL
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL

%description gl
FLTK GL library.

%description gl -l pl.UTF-8
Biblioteka FLTK GL.

%package gl-devel
Summary:	Header files for FLTK GL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FLTK GL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gl = %{version}-%{release}

%description gl-devel
Header files for FLTK GL library.

%description gl-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FLTK GL.

%package gl-static
Summary:	FLTK GL static library
Summary(pl.UTF-8):	Statyczna biblioteka FLTK GL
Group:		X11/Development/Libraries
Requires:	%{name}-gl-devel = %{version}-%{release}
Requires:	%{name}-static = %{version}-%{release}

%description gl-static
FLTK GL static library.

%description gl-static -l pl.UTF-8
Statyczna biblioteka FLTK GL.

%package games
Summary:	FLTK Games
Summary(pl.UTF-8):	Gry FLTK
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description games
FLTK games: Block Attack!, Checkers, or Sudoku on your computer.

%description games -l pl.UTF-8
Gry FLTK: Atak Klocków!, Warcaby, Sudoku.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	--enable-largefile \
	--enable-shared \
	--enable-threads \
	--enable-xinerama \
	--with-x \
	--with-optim="%{rpmcxxflags}" \
	%{!?with_opengl:--disable-gl} \
	%{?with_xft:--enable-xft}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install-desktop \
	DESTDIR=$RPM_BUILD_ROOT

# less generic games' names
for f in blocks checkers sudoku ; do
mv -f $RPM_BUILD_ROOT%{_bindir}/{,fltk-}${f}
mv -f $RPM_BUILD_ROOT%{_mandir}/man6/{,fltk-}${f}.6
done

# add link to documentation for fluid help; remove /usr/share/doc/fltk contents - it is installed during make install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
ln -sf %{name}-devel-%{version} $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# note: COPYING contains amendments to LGPL, so don't remove!
%doc CHANGES COPYING CREDITS README
%attr(755,root,root) %{_libdir}/libfltk.so.*.*
%attr(755,root,root) %{_libdir}/libfltk_forms.so.*.*
%attr(755,root,root) %{_libdir}/libfltk_images.so.*.*

%files devel
%defattr(644,root,root,755)
%doc fltk-%{version}/documentation/html/*.{html,jpg,png}
%doc %{_datadir}/doc/%{name}
%attr(755,root,root) %{_bindir}/fltk-config
%attr(755,root,root) %{_bindir}/fluid
%attr(755,root,root) %{_libdir}/libfltk.so
%attr(755,root,root) %{_libdir}/libfltk_forms.so
%attr(755,root,root) %{_libdir}/libfltk_images.so
%{_includedir}/FL
%exclude %{_includedir}/FL/Fl_Gl_Window.*
%exclude %{_includedir}/FL/gl*
%{_iconsdir}/*/*/*/fluid.png
%{_desktopdir}/fluid.desktop
# move to some KDE package?
#%{_datadir}/mimelnk/application/x-fluid.desktop
%{_mandir}/man1/fltk-config.1*
%{_mandir}/man1/fluid.1*
%{_mandir}/man3/fltk.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfltk.a
%{_libdir}/libfltk_forms.a
%{_libdir}/libfltk_images.a

%if %{with opengl}
%files gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfltk_gl.so.*.*

%files gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfltk_gl.so
%{_includedir}/FL/Fl_Gl_Window.*
%{_includedir}/FL/gl*

%files gl-static
%defattr(644,root,root,755)
%{_libdir}/libfltk_gl.a
%endif

%files games
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-blocks
%attr(755,root,root) %{_bindir}/%{name}-checkers
%attr(755,root,root) %{_bindir}/%{name}-sudoku
%{_iconsdir}/*/*/*/blocks.png
%{_iconsdir}/*/*/*/checkers.png
%{_iconsdir}/*/*/*/sudoku.png
%{_desktopdir}/blocks.desktop
%{_desktopdir}/checkers.desktop
%{_desktopdir}/sudoku.desktop
%{_mandir}/man6/%{name}-blocks.6*
%{_mandir}/man6/%{name}-checkers.6*
%{_mandir}/man6/%{name}-sudoku.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fltk.spec,v $
Revision 1.79  2012/02/10 19:43:58  adamg
- release 2 (rebuild against libpng-1.5)

Revision 1.78  2011/12/13 17:29:26  qboosh
- updated BRs

Revision 1.77  2011/12/13 15:25:16  qboosh
- cleanup

Revision 1.76  2011/12/11 21:05:58  witekfl
- up to 1.3.0

Revision 1.75  2011/02/05 00:43:14  sparky
- added missing lang tag to Summary

Revision 1.74  2011/02/04 23:19:38  sparky
- %description for correct %package

Revision 1.73  2010/01/28 13:47:59  sparky
- BR: groff

Revision 1.72  2010/01/28 12:40:16  baggins
- renumber patches

Revision 1.71  2010/01/28 12:39:55  baggins
- up to 1.1.10

Revision 1.70  2009/11/15 11:07:48  zbyniu
- rel 4

Revision 1.69  2009/11/15 11:06:30  zbyniu
- better BRs/Rs

Revision 1.68  2009/07/10 20:10:09  arekm
- rel 3; build fixed (patches from gentoo)

Revision 1.67  2009/07/10 19:53:01  arekm
- release 2

Revision 1.66  2008/08/20 17:19:37  qboosh
- relative symlink within same directory

Revision 1.65  2008/08/20 16:03:30  twittner
- fix browsing docs from fluid help menu (added symlink)

Revision 1.64  2008/07/14 16:33:03  qboosh
- libXinerama not just xineramaproto

Revision 1.63  2008/07/13 22:00:38  twittner
- up to 1.1.9
- enable support for large files, xinerama, threads via configure switches

Revision 1.62  2008/04/01 19:43:57  qboosh
- disabled KDE-specific x-fluid.desktop to avoid KDE dependency

Revision 1.61  2008-03-31 20:24:03  qboosh
- -games defattr

Revision 1.60  2008-03-28 22:46:39  twittner
- fix against linking fluid libraries found in system instead of
  "fresh built" libraries form fltk sources
- fix ranlib path
- rel. 2

Revision 1.59  2008-03-28 20:15:22  twittner
- updated to 1.1.8
- added games subpackage; renamed its some files to less generic names
- make (good) use of `make install'
- I assume that -cxx.patch is applied in sources (patch command told me of it)

Revision 1.58  2008-02-06 20:19:49  qboosh
- unified bcond name: gl -> opengl

Revision 1.57  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.55  2006/08/17 09:00:26  qboosh
- argh, filterout* BR: macros 1.315

Revision 1.54  2006/08/17 08:56:37  qboosh
- sorted BRs

Revision 1.53  2006/08/17 08:38:17  pluto
- fix for prev. update.

Revision 1.52  2006/08/17 07:07:46  aredridel
- 1.1.7
- bcond with xft instead of without

Revision 1.51  2006/05/31 18:26:09  witekfl
- fulltick is pronounced "fultik"

Revision 1.50  2005/05/03 21:06:57  pluto
- release 2 for Th.

Revision 1.49  2005/01/12 09:35:30  pluto
- updated to 1.1.6.

Revision 1.48  2004/04/06 22:24:16  qboosh
- updated to 1.1.4, updated link patch, removed obsolete acfix,fluid-color patches

Revision 1.47  2004/02/01 23:29:28  eothane
- bconds, cosmetics

Revision 1.46  2004/01/02 17:18:52  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.45  2003/12/29 17:10:24  jajcus
- workaround for AMD64 build

Revision 1.44  2003/10/30 16:30:46  qboosh
- added fluid-color patch, -devel R: libstdc++-devel; release 2

Revision 1.43  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.42  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.41  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.40  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.39  2003/05/25 05:47:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/16 20:30:38  qboosh
- separated GL libraries, - added missing symlinks to *-devel
- avoid "-s" in `fltk-config --libs`
- fixed too simple link patch, added acfix patch
- enabled xft by default

Revision 1.37  2003/05/14 06:41:22  deejay1
- fixed Source1 URL

Revision 1.36  2003/05/13 14:55:06  qboosh
- updated to 1.1.3, replaced obsolete fluid-shared patch by new link patch

Revision 1.35  2003/02/09 13:21:47  misiek
- rel 8; rebuild

Revision 1.34  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.33  2002/12/02 11:06:16  ankry
- massive cleaning

Revision 1.32  2002/05/25 11:06:40  kloczek
- release 7.

Revision 1.31  2002/05/24 16:13:44  qboosh
- fixed OpenGL detection, added bcond to disable GL support

Revision 1.30  2002/05/23 20:59:07  qboosh
- new %doc, install manuals in mandir, not docdir
- release 6

Revision 1.29  2002/05/01 16:55:51  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/05/01 00:13:09  qboosh
- BR: gcc-c++

Revision 1.27  2002/04/29 09:30:45  qboosh
- removed copy of fltk.ps.gz from base (it is in -devel)
- link fluid dynamically with libfltk

Revision 1.26  2002/04/29 09:02:30  qboosh
- fixed License files, added doc
- release 5

Revision 1.25  2002/04/26 09:47:39  arturs
- added Polish description

Revision 1.24  2002/04/25 16:18:37  arturs
- fixed a small typo

Revision 1.23  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/02 20:04:44  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.20  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/28 16:37:54  baggins
- release 4
- DO NOT RENAME HEADER FILES!!!

Revision 1.18  2001/09/25 12:42:20  cieciwa
- added extensoin chage.

Revision 1.17  2001/08/23 17:45:09  wrobell
- use configure2_13 macro
- rel. 3, stb.

Revision 1.16  2001/07/17 17:56:19  wrobell
- spec works with getsrc script

Revision 1.15  2001/07/12 13:40:30  kloczek
- release 2.

Revision 1.14  2001/07/12 12:17:46  wrobell
- do not rename header files, stb

Revision 1.13  2001/07/05 10:52:11  kloczek
- typo in %install,
- removed redundant %doc in pdf.

Revision 1.12  2001/07/05 10:29:45  kloczek
- updated to 1.0.11 and bunch final cleanups.

Revision 1.11  2001/05/02 16:29:01  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.10  2000/10/11 08:59:57  cieciwa
- update to version 1.0.9,
- fixed install process.

Revision 1.9  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.8  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.7  2000/06/03 17:56:31  kloczek
- run ldconfig moved to main package,
- added %description,
- Group in main chaged to X11/Libraries.
  Note: still not compiles.

Revision 1.6  2000/06/03 15:10:38  cieciwa
- updated to version 1.0.8.

Revision 1.5  2000/05/31 11:41:33  cieciwa
- fixed package,
- changed library version from 1 to 1.0.7.

Revision 1.2  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.1  2000/03/23 09:05:15  cieciwa
- initial spec.
